curl --request GET \
--url https://pro-api.coingecko.com/api/v3/onchain/networks/{network}/tokens/{token_address}/trades/range \
--header 'x-cg-pro-api-key: <api-key>'{
"data": [
{
"id": "eth_25928919_0xe5278132946375ba292473819aa96c86fd7219d66009a067ed280f679bdf45eb_73_1788825611",
"type": "trade",
"attributes": {
"pool_address": "0x0fb0e40cec3bb23e13abc585958a93c796fbea56955e19a23727a716a0423239",
"pool_dex": "uniswap-v4-ethereum",
"block_number": 25928919,
"tx_hash": "0xe5278132946375ba292473819aa96c86fd7219d66009a067ed280f679bdf45eb",
"tx_from_address": "0xb5469a903df8dad9df1da1341a85f84fd434c724",
"from_token_amount": "2489.650395",
"to_token_amount": "2489.845103",
"price_from_in_currency_token": "0.000401610882268168",
"price_to_in_currency_token": "0.000401008437871588",
"price_from_in_usd": "1.00030427279179",
"price_to_in_usd": "0.9988037464599",
"block_timestamp": "2026-09-07T23:59:59Z",
"kind": "sell",
"volume_in_usd": "2490.40792787628",
"from_token_address": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
"to_token_address": "0xdac17f958d2ee523a2206206994597c13d831ec7"
}
},
{
"id": "eth_25928919_0xe5278132946375ba292473819aa96c86fd7219d66009a067ed280f679bdf45eb_67_1788825611",
"type": "trade",
"attributes": {
"pool_address": "0x3b1b1f2e775a6db1664f8e7d59ad568605ea2406312c11aef03146c0cf89d5b9",
"pool_dex": "uniswap-v4-ethereum",
"block_number": 25928919,
"tx_hash": "0xe5278132946375ba292473819aa96c86fd7219d66009a067ed280f679bdf45eb",
"tx_from_address": "0xb5469a903df8dad9df1da1341a85f84fd434c724",
"from_token_amount": "19917.582875",
"to_token_amount": "19919.253008",
"price_from_in_currency_token": "0.000401042063308448",
"price_to_in_currency_token": "0.000401008437871588",
"price_from_in_usd": "0.998887498344251",
"price_to_in_usd": "0.9988037464599",
"block_timestamp": "2026-09-07T23:59:59Z",
"kind": "buy",
"volume_in_usd": "19895.424531073",
"from_token_address": "0xdc035d45d973e3ec169d2276ddab16f1e407384f",
"to_token_address": "0xdac17f958d2ee523a2206206994597c13d831ec7"
}
}
],
"meta": {
"next_cursor": "eyJidCI6IjIwMjYtMDktMDdUMjM6NTk6NTkuMDAwMDAwMDAwWiIsImJuIjoyNTkyODkxOSwidHgiOiIweGU1Mjc4MTMyOTQ2Mzc1YmEyOTI0NzM4MTlhYTk2Yzg2ZmQ3MjE5ZDY2MDA5YTA2N2VkMjgwZjY3OWJkZjQ1ZWIiLCJsaSI6NjcsIndmIjoxNzg4MjIwODAwLCJmcCI6IjBkYzBiMzc1ZjU5NGE5Y2Y0ZjVkOWRlOTNkN2UxNjU2NTQzZTZlODJlOTEwN2IwMmUxYzRlZjNkZTFiNjgwODAiLCJpYXQiOjE3ODg5Mzk0NDN9"
}
}Trades within Time Range by Token Address
To query the trades, across all pools, within a range of timestamp based on the provided token contract address on a network
curl --request GET \
--url https://pro-api.coingecko.com/api/v3/onchain/networks/{network}/tokens/{token_address}/trades/range \
--header 'x-cg-pro-api-key: <api-key>'{
"data": [
{
"id": "eth_25928919_0xe5278132946375ba292473819aa96c86fd7219d66009a067ed280f679bdf45eb_73_1788825611",
"type": "trade",
"attributes": {
"pool_address": "0x0fb0e40cec3bb23e13abc585958a93c796fbea56955e19a23727a716a0423239",
"pool_dex": "uniswap-v4-ethereum",
"block_number": 25928919,
"tx_hash": "0xe5278132946375ba292473819aa96c86fd7219d66009a067ed280f679bdf45eb",
"tx_from_address": "0xb5469a903df8dad9df1da1341a85f84fd434c724",
"from_token_amount": "2489.650395",
"to_token_amount": "2489.845103",
"price_from_in_currency_token": "0.000401610882268168",
"price_to_in_currency_token": "0.000401008437871588",
"price_from_in_usd": "1.00030427279179",
"price_to_in_usd": "0.9988037464599",
"block_timestamp": "2026-09-07T23:59:59Z",
"kind": "sell",
"volume_in_usd": "2490.40792787628",
"from_token_address": "0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48",
"to_token_address": "0xdac17f958d2ee523a2206206994597c13d831ec7"
}
},
{
"id": "eth_25928919_0xe5278132946375ba292473819aa96c86fd7219d66009a067ed280f679bdf45eb_67_1788825611",
"type": "trade",
"attributes": {
"pool_address": "0x3b1b1f2e775a6db1664f8e7d59ad568605ea2406312c11aef03146c0cf89d5b9",
"pool_dex": "uniswap-v4-ethereum",
"block_number": 25928919,
"tx_hash": "0xe5278132946375ba292473819aa96c86fd7219d66009a067ed280f679bdf45eb",
"tx_from_address": "0xb5469a903df8dad9df1da1341a85f84fd434c724",
"from_token_amount": "19917.582875",
"to_token_amount": "19919.253008",
"price_from_in_currency_token": "0.000401042063308448",
"price_to_in_currency_token": "0.000401008437871588",
"price_from_in_usd": "0.998887498344251",
"price_to_in_usd": "0.9988037464599",
"block_timestamp": "2026-09-07T23:59:59Z",
"kind": "buy",
"volume_in_usd": "19895.424531073",
"from_token_address": "0xdc035d45d973e3ec169d2276ddab16f1e407384f",
"to_token_address": "0xdac17f958d2ee523a2206206994597c13d831ec7"
}
}
],
"meta": {
"next_cursor": "eyJidCI6IjIwMjYtMDktMDdUMjM6NTk6NTkuMDAwMDAwMDAwWiIsImJuIjoyNTkyODkxOSwidHgiOiIweGU1Mjc4MTMyOTQ2Mzc1YmEyOTI0NzM4MTlhYTk2Yzg2ZmQ3MjE5ZDY2MDA5YTA2N2VkMjgwZjY3OWJkZjQ1ZWIiLCJsaSI6NjcsIndmIjoxNzg4MjIwODAwLCJmcCI6IjBkYzBiMzc1ZjU5NGE5Y2Y0ZjVkOWRlOTNkN2UxNjU2NTQzZTZlODJlOTEwN2IwMmUxYzRlZjNkZTFiNjgwODAiLCJpYXQiOjE3ODg5Mzk0NDN9"
}
}Notes
- Paginate with
cursorrather than a page number:- Pass
meta.next_cursorback unchanged ascursorto fetch the next page. meta.next_cursorisnullon the last page.
- Pass
- For a relative lookback instead of an absolute window, use Trades by Token Address with
trading_period.
from and to are both required, and the window between them cannot exceed 30 days.- Both ends are inclusive.
- Neither may be later than the current server time.
Authorizations
Learn how to set up your API key
Query Parameters
Filter trades by trade volume in USD greater than this value. Default value: 0
Starting date in ISO date string (YYYY-MM-DD or YYYY-MM-DDTHH:MM) or UNIX timestamp.
Use ISO date string for best compatibility.
Ending date in ISO date string (YYYY-MM-DD or YYYY-MM-DDTHH:MM) or UNIX timestamp.
Use ISO date string for best compatibility.
Cursor from the previous response, passed back unchanged to fetch the next page.
Total results per page. Default value: 100 Valid values: 1...300
Response
Trades from a token across all pools within a time range
Hide child attributes
Hide child attributes
Trade identifier
Resource type
Hide child attributes
Hide child attributes
Pool contract address where the trade occurred
DEX identifier of the pool
Block number of the trade
Transaction hash
Transaction sender address
Amount of token sent
Amount of token received
Price of from-token in currency token
Price of to-token in currency token
Price of from-token in USD
Price of to-token in USD
Block timestamp
Trade kind (buy or sell)
Trade volume in USD
From-token contract address
To-token contract address
Was this page helpful?

